GZEXE(1)

NAZWA
gzexe - kompresuje pliki wykonywalne

SKŁADNIA
gzexe nazwa ...

OPIS
Narzędzie gzexe umożliwia kompresowanie plików wykonywalnych, a następnie ich automatyczną dekompresję po uruchomieniu archiwum (oczywiście z utratą prędkości wywołania). Na przykład, jeśli wywoła się "gzexe /usr/bin/gdb", to utworzone zostaną następujące pliki:
    -rwxr-xr-x  1 root root 1026675 Jun  7 13:53 /usr/bin/gdb
    -rwxr-xr-x  1 root root 2304524 May 30 13:02 /usr/bin/gdb~
/usr/bin/gdb~ jest plikiem oryginalnym, a /usr/bin/gdb jest samorozpakowującym się plikiem wykonywalnym. Po upewnieniu się że /usr/bin/gdb działa poprawnie można usunąć plik /usr/bin/gdb~.

Narzędzie to jest najbardziej przydatne na systemach z bardzo małymi dyskami.

OPCJE

-d  Dekompresuje podane pliki wykonywalne zamiast je kompresować.

ZOBACZ TAKŻE
gzip(1), znew(1), zmore(1), zcmp(1), zforce(1)

NIEDOSKONAŁOŚCI
Plik skompresowany jest skryptem powłoki. Może to powodować pewne dziury bezpieczeństwa. W szczególności skompresowany plik wykonywalny używa zmiennej PATH, aby znaleźć program gzip i niektóre inne standardowe narzędzia (basename, chmod, ln, mkdir, mktemp, rm, sleep oraz tail).

BŁĘDY
gzexe próbuje odtworzyć atrybuty oryginalnych plików na skompresowanym pliku wykonywalnym, lecz czasem będzie trzeba poprawić ręcznie, przy użyciu chmod lub chown.

TŁUMACZENIE
Autorami polskiego tłumaczenia niniejszej strony podręcznika man są: Przemek Borys (PTM) <pborys@dione.ids.pl> i Robert Luberda <robert@debian.org>.

Polskie tłumaczenie jest częścią projektu manpages-pl; uwagi, pomoc, zgłaszanie błędów na stronie http://sourceforge.net/projects/manpages-pl/. Jest zgodne z wersją 1.6 oryginału.